petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetConvergedReason

Gets the reason the SNES iteration was stopped.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetConvergedReason(SNES snes,SNESConvergedReason *reason)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

reason -negative value indicates diverged, positive value converged, see SNESConvergedReason or the manual pages for the individual convergence tests for complete lists

Notes: Can only be called after the call the SNESSolve() is complete.

### Keywords

SNES, nonlinear, set, convergence, test

### See Also

SNESSetConvergenceTest(), SNESConvergedReason

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html